#
# spec file for package drm
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# needssslcertforbuild


%define kernel_version 4.9.33
# define otherarchs aarch64

Name:           drm
BuildRequires:  %kernel_module_package_buildreqs
BuildRequires:  kernel-source
Url:            http://kernel.org/
Summary:        Backported drm kernel modules
License:        GPL-2.0-only
Group:          System/Kernel
ExclusiveArch:  x86_64 %{?otherarchs}
Version:        4.9.33
Release:        13.3
Source0:        drm-%{kernel_version}.tar.xz
Source2:        Module.supported
Source3:        preamble
Patch1:         0001-drm-Don-t-use-driver-specific-i2c-locking.patch
Patch2:         0002-drm-i915-Add-u64_to_user_ptr-macro.patch
Patch3:         0003-drm-i915-Remove-use-of-vmap-notifier.patch
Patch4:         0004-drm-Remove-use-of-non-exisiting-__malloc-attribute.patch
Patch5:         0005-drm-i915-Remove-call-to-intel-gtt.patch
Patch6:         0006-drm-i915-Add-extra-argument-to-get_user_pages_remote.patch
Patch7:         0007-makefile-Add-a-makefile-for-the-oot-build.patch
Patch8:         0008-intel_ips-Include-the-header-file.patch
Patch9:         0009-drm-amdkfd-Replace-in_compat_syscall-with-is_compat_.patch
Patch10:        0010-drm-bochs-cirrus-i915-Fixup-missing-PCI-IDs.patch
Patch11:        0011-drm-vmwgfx-Remove-missing-stack-frame-code.patch
Patch12:        0012-drm-Make-all-drivers-use-the-correct-include-directo.patch
Patch13:        0013-drm-virtio-Fix-compile-warning-for-use-of-find_vbq.patch
Patch14:        0014-drm-dma_attrs-revert.patch
Patch15:        0015-workaround-for-pci-d3_bridge.patch
Patch16:        0016-drm-amdgpu-add-the-interface-of-waiting-multiple-fen.patch
Patch20:        0020-drm-msm-Remove-use-of-vmap-notifier.patch
Patch21:        0021-drm-msm-Add-u64_to_user_ptr.patch
Patch22:        0022-drm-tegra-Revert-dsi-runtime-pm.patch
Patch23:        0023-drm-msm-Disable-dsi-pll-8960-phy.patch
Patch24:        0024-drm-tegra-Workaround-for-pinconf_generic_dt_free_map.patch
Patch25:        0025-drm-i915-comment-out-PCI_DEV_FLAGS_NEEDS_RESUME.patch
Patch26:        0026-host1x-build-hack.patch
Patch27:        0027-enable-AMDGPU-flavors.diff
# Upstream fixes
# v4.9.34
Patch101:       0101-drm-amdgpu-Fix-overflow-of-watermark-calcs-at-4k-res.patch
Patch102:       0102-drm-i915-Fix-GVT-g-PVINFO-version-compatibility-chec.patch
Patch103:       0103-drm-mediatek-fix-mtk_hdmi_setup_vendor_specific_info.patch
Patch104:       0104-drm-vc4-Fix-OOPSes-from-trying-to-cache-a-partially-.patch
# v4.9.35
Patch105:       0105-drm-radeon-add-a-PX-quirk-for-another-K53TK-variant.patch
Patch106:       0106-drm-radeon-add-a-quirk-for-Toshiba-Satellite-L20-183.patch
Patch107:       0107-drm-amdgpu-atom-fix-ps-allocation-size-for-EnableDis.patch
Patch108:       0108-drm-amdgpu-adjust-default-display-clock.patch
# v4.9.36
Patch109:       0109-drm-ast-Handle-configuration-without-P2A-bridge.patch
Patch110:       0110-drm-vmwgfx-Free-hash-table-allocated-by-cmdbuf-manag.patch
Patch111:       0111-drm-amdgpu-fix-program-vce-instance-logic-error.patch
Patch112:       0112-drm-amdgpu-add-support-for-new-hainan-variants.patch
Patch113:       0113-drm-amdgpu-check-ring-being-ready-before-using.patch
Patch114:       0114-drm-etnaviv-trick-drm_mm-into-giving-out-a-low-IOVA.patch
Patch115:       0115-drm-radeon-si-load-special-ucode-for-certain-MC-conf.patch
Patch116:       0116-drm-amd-powerplay-fix-vce-cg-logic-error-on-CZ-St.patch
Patch117:       0117-drm-amd-powerplay-refine-vce-dpm-update-code-on-Cz.patch
# v4.9.37
Patch118:       0118-drm-virtio-don-t-leak-bo-on-drm_gem_object_init-fail.patch
# v4.9.40
Patch119:       0119-drm-amd-amdgpu-Return-error-if-initiating-read-out-o.patch
Patch120:       0120-drm-radeon-ci-disable-mclk-switching-for-high-refres.patch
Patch121:       0121-drm-radeon-Fix-eDP-for-single-display-iMac10-1-v2.patch
Patch122:       0122-drm-ttm-Fix-use-after-free-in-ttm_bo_clean_mm.patch
Patch123:       0123-drm-mst-Fix-error-handling-during-MST-sideband-messa.patch
Patch124:       0124-drm-mst-Avoid-dereferencing-a-NULL-mstb-in-drm_dp_ms.patch
Patch125:       0125-drm-mst-Avoid-processing-partially-received-up-down-.patch
# v4.9.41
Patch126:       0126-drm-vmwgfx-Fix-gcc-7.1.1-warning.patch
Patch127:       0127-drm-nouveau-disp-nv50-bump-max-chans-to-21.patch
Patch128:       0128-drm-nouveau-bar-gf100-fix-access-to-upper-half-of-BA.patch
Patch129:       0129-drm-rcar-du-Simplify-and-fix-probe-error-handling.patch
Patch130:       0130-drm-msm-Ensure-that-the-hardware-write-pointer-is-va.patch
Patch131:       0131-drm-msm-Put-back-the-vaddr-in-submit_reloc.patch
Patch132:       0132-drm-msm-Verify-that-MSM_SUBMIT_BO_FLAGS-are-set.patch
# v4.9.42
Patch133:       0133-drm-amdgpu-Fix-undue-fallthroughs-in-golden-register.patch
Patch134:       0134-drm-virtio-fix-framebuffer-sparse-warning.patch
# v4.9.44
Patch135:       0135-drm-etnaviv-Fix-off-by-one-error-in-reloc-checking.patch
Patch136:       0136-drm-i915-Fix-out-of-bounds-array-access-in-bdw_load_.patch
# v4.9.46
Patch137:       0137-drm-Release-driver-tracking-before-making-the-object.patch
Patch138:       0138-drm-atomic-If-the-atomic-check-fails-return-its-valu.patch
Patch139:       0139-drm-rcar-du-Fix-crash-in-encoder-failure-error-path.patch
Patch140:       0140-drm-rcar-du-Fix-display-timing-controller-parameter.patch
Patch141:       0141-drm-rcar-du-Fix-H-V-sync-signal-polarity-configurati.patch
# v4.9.48
Patch142:       0142-drm-ttm-Fix-accounting-error-when-fail-to-get-pages-.patch
# v4.9.49
Patch143:       0143-drm-nouveau-pci-msi-disable-MSI-on-big-endian-platfo.patch
Patch144:       0144-drm-bridge-adv7511-Use-work_struct-to-defer-hotplug-.patch
Patch145:       0145-drm-bridge-adv7511-Switch-to-using-drm_kms_helper_ho.patch
# v4.9.52
Patch146:       0146-drm-sun4i-Implement-drm_driver-lastclose-to-restore-.patch
# v4.9.53
Patch147:       0147-drm-radeon-disable-hard-reset-in-hibernate-for-APUs.patch
Patch148:       0148-etnaviv-fix-gem-object-list-corruption.patch
# v4.9.54
Patch149:       0149-drm-i915-Fix-the-overlay-frontbuffer-tracking.patch
Patch150:       0150-drm-i915-psr-disable-psr2-for-resolution-greater-tha.patch
Patch151:       0151-drm-amdkfd-fix-improper-return-value-on-error.patch
Patch152:       0152-drm-mali-dp-Fix-destination-size-handling-when-rotat.patch
Patch153:       0153-drm-mali-dp-Fix-transposed-horizontal-vertical-flip.patch
# v4.9.55
Patch154:       0154-drm-i915-bios-ignore-HDMI-on-port-A.patch
# v4.9.56
Patch155:       0155-drm-i915-edp-Get-the-Panel-Power-Off-timestamp-after.patch
# v4.9.57
Patch156:       0156-drm-i915-Read-timings-from-the-correct-transcoder-in.patch
Patch157:       0157-drm-i915-bios-parse-DDI-ports-also-for-CHV-for-HDMI-.patch
# v4.9.58
Patch158:       0158-drm-amdgpu-refuse-to-reserve-io-mem-for-split-VRAM-b.patch
Patch159:       0159-drm-nouveau-gr-gf100-fix-ccache-error-logging.patch
# v4.9.59
Patch160:       0160-drm-nouveau-bsp-g92-disable-by-default.patch
Patch161:       0161-drm-nouveau-mmu-flush-tlbs-before-deleting-page-tabl.patch
# v4.9.60
Patch162:       0162-drm-amd-powerplay-fix-uninitialized-variable.patch
Patch163:       0163-drm-amdgpu-return-ENOENT-from-uvd-6.0-early-init-for.patch
Patch164:       0164-drm-i915-edp-read-edp-display-control-registers-unco.patch
Patch165:       0165-drm-msm-Fix-potential-buffer-overflow-issue.patch
Patch166:       0166-drm-msm-fix-an-integer-overflow-test.patch
Patch167:       0167-drm-amdgpu-when-dpm-disabled-also-need-to-stop-start.patch
Patch168:       0168-drm-fsl-dcu-check-for-clk_prepare_enable-error.patch
Patch169:       0169-drm-exynos-g2d-prevent-integer-overflow-in.patch
# v4.9.61
Patch170:       0170-drm-drm_minor_register-Clean-up-debugfs-on-failure.patch
Patch171:       0171-drm-mali-dp-fix-Lx_CONTROL-register-fields-clobber.patch
Patch172:       0172-drm-i915-Do-not-rely-on-wm-preservation-for-ILK-wate.patch
Patch173:       0173-drm-vmwgfx-Fix-Ubuntu-17.10-Wayland-black-screen-iss.patch
Patch174:       0174-drm-bridge-adv7511-Rework-adv7511_power_on-off-so-th.patch
Patch175:       0175-drm-bridge-adv7511-Reuse-__adv7511_power_on-off-when.patch
Patch176:       0176-drm-bridge-adv7511-Re-write-the-i2c-address-before-E.patch
# v4.9.63
Patch177:       0177-drm-sti-sti_vtg-Handle-return-NULL-error-from-devm_i.patch
Patch178:       0178-drm-omap-panel-sony-acx565akm.c-Add-MODULE_ALIAS.patch
Patch179:       0179-gpu-drm-mgag200-mgag200_main-Handle-error-from-pci_i.patch
# v4.9.66
Patch501:       0501-Revert-drm-i915-Do-not-rely-on-wm-preservation-for-I.patch
Patch502:       0502-drm-sun4i-Fix-a-return-value-in-case-of-error.patch
Patch503:       0503-drm-armada-Fix-compile-fail.patch
Patch504:       0504-drm-Apply-range-restriction-after-color-adjustment-w.patch
Patch505:       0505-drm-mediatek-don-t-use-drm_put_dev.patch
# v4.9.67
Patch506:       0506-Revert-drm-radeon-dont-switch-vt-on-suspend.patch
Patch507:       0507-drm-amdgpu-potential-uninitialized-variable-in-amdgp.patch
Patch508:       0508-drm-amdgpu-Potential-uninitialized-variable-in-amdgp.patch
Patch509:       0509-drm-radeon-fix-atombios-on-big-endian.patch
Patch510:       0510-drm-panel-simple-Add-missing-panel_simple_unprepare-.patch
Patch511:       0511-drm-hisilicon-Ensure-LDI-regs-are-properly-configure.patch
Patch512:       0512-drm-ttm-once-more-fix-ttm_buffer_object_transfer.patch
Patch513:       0513-drm-amd-pp-fix-typecast-error-in-powerplay.patch
Patch514:       0514-drm-i915-Don-t-try-indexed-reads-to-alternate-slave-.patch
Patch515:       0515-drm-i915-Prevent-zero-length-index-write.patch
# v4.9.68
Patch516:       0516-drm-fsl-dcu-avoid-disabling-pixel-clock-twice-on-sus.patch
Patch517:       0517-drm-fsl-dcu-enable-IRQ-before-drm_atomic_helper_resu.patch
Patch518:       0518-drm-exynos-decon5433-update-shadow-registers-iff-the.patch
Patch519:       0519-drm-exynos-decon5433-set-STANDALONE_UPDATE_F-also-if.patch
Patch520:       0520-drm-amdgpu-fix-bug-set-incorrect-value-to-vce-regist.patch
Patch521:       0521-drm-exynos-decon5433-set-STANDALONE_UPDATE_F-on-outp.patch
Patch522:       0522-drm-amdgpu-fix-unload-driver-issue-for-virtual-displ.patch
# v4.9.69
Patch523:       0523-drm-exynos-gem-Drop-NONCONTIG-flag-for-buffers-alloc.patch
Patch524:       0524-Revert-drm-armada-Fix-compile-fail.patch
Patch525:       0525-drm-amd-amdgpu-fix-console-deadlock-if-late-init-fai.patch
# v4.9.71
Patch526:       0526-drm-amdgpu-fix-parser-init-error-path-to-avoid-crash.patch
Patch527:       0527-drm-omap-fix-dmabuf-mmap-for-dma_alloc-ed-buffers.patch
Patch528:       0528-drm-amd-remove-broken-include-path.patch
Patch529:       0529-drm-radeon-si-add-dpm-quirk-for-Oland.patch
Patch530:       0530-drm-radeon-reinstate-oland-workaround-for-sclk.patch
# v4.9.77
Patch531:       0531-drm-vmwgfx-Potential-off-by-one-in-vmw_view_add.patch
# v4.9.80
Patch532:       0532-drm-vc4-Account-for-interrupts-in-flight.patch
Patch533:       0533-drm-amdgpu-Fix-SDMA-load-unload-sequence-on-HWS-disa.patch
Patch534:       0534-drm-amdkfd-Fix-SDMA-ring-buffer-size-calculation.patch
Patch535:       0535-drm-amdkfd-Fix-SDMA-oversubsription-handling.patch
Patch536:       0536-drm-amdgpu-don-t-try-to-move-pinned-BOs.patch
Patch537:       0537-drm-bridge-tc358767-do-no-fail-on-hi-res-displays.patch
Patch538:       0538-drm-bridge-tc358767-filter-out-too-high-modes.patch
Patch539:       0539-drm-bridge-tc358767-fix-DP0_MISC-register-set.patch
Patch540:       0540-drm-bridge-tc358767-fix-timing-calculations.patch
Patch541:       0541-drm-bridge-tc358767-fix-AUXDATAn-registers-access.patch
Patch542:       0542-drm-bridge-tc358767-fix-1-lane-behavior.patch
Patch543:       0543-drm-omap-Fix-error-handling-path-in-omap_dmm_probe.patch
Patch544:       0544-drm-vc4-Move-IRQ-enable-to-PM-path.patch
# v4.9.81
Patch545:       0545-drm-rcar-du-Use-the-VBK-interrupt-for-vblank-events.patch
Patch546:       0546-drm-rcar-du-Fix-race-condition-when-disabling-planes.patch
# Upstream DP-MST fixes
Patch201:       0201-drm-Add-driver-private-objects-to-atomic-state.patch
Patch202:       0202-drm-dp-Introduce-MST-topology-state-to-track-availab.patch
# hisilicon hibmc driver
Patch301:       0301-drm-hisilicon-hibmc-Add-hisilicon-hibmc-drm-master-d.patch
Patch302:       0302-drm-hisilicon-hibmc-Add-video-memory-management.patch
Patch303:       0303-drm-hisilicon-hibmc-Add-support-for-frame-buffer.patch
Patch304:       0304-drm-hisilicon-hibmc-Add-support-for-display-engine.patch
Patch305:       0305-drm-hisilicon-hibmc-Add-support-for-VDAC.patch
Patch306:       0306-drm-hisilicon-hibmc-Add-support-for-vblank-interrupt.patch
Patch307:       0307-drm-hisilicon-hibmc-Checking-for-NULL-instead-of-IS_.patch
Patch308:       0308-drm-hisilicon-hibmc-mark-PM-functions-__maybe_unused.patch
Patch309:       0309-drm-hisilicon-hibmc-Fix-wrong-pointer-passed-to-PTR_.patch
# AMDGPU / radeon fixes
Patch401:       0401-drm-radeon-Add-module-param-to-control-CIK-support.patch
Patch402:       0402-drm-radeon-Add-module-param-to-control-SI-support.patch
Patch403:       0403-drm-radeon-Make-si_support-and-cik_support-parameter.patch
Patch404:       0404-drm-amdgpu-Add-module-param-to-control-CIK-support.patch
Patch405:       0405-drm-amdgpu-Add-module-param-to-control-SI-support.patch
Patch406:       0406-drm-amdgpu-Update-Kconfig-help-for-SI-and-CIK-suppor.patch
Patch407:       0407-drm-amdgpu-radeon-Use-radeon-by-default-for-CIK-GPUs.patch
Patch408:       0408-amdgpu-Set-cik-si_support-to-1-by-default-if-radeon-.patch
# SLE patches
Patch1001:      1001-drm-mgag200-Added-support-for-the-new-device-G200eH3.patch
Patch1002:      1002-drm-i915-Add-intel_uncore_suspend-resume-functions.patch
Patch1003:      1003-drm-i915-Listen-for-PMIC-bus-access-notifications.patch
Patch1004:      1004-drm-i915-Fix-crash-after-S3-resume-with-DP-MST-mode-.patch
Patch1005:      1005-drm-i915-Use-pagecache-write-to-prepopulate-shmemfs-.patch
Patch1006:      1006-drm-mgag200-Fix-to-always-set-HiPri-for-G200e4.patch
Patch1007:      1007-drm-i915-Disable-tv-output-on-i9x5gm.patch
Patch1008:      1008-drm-i915-Serialize-GTT-Aperture-accesses-on-BXT.patch
Patch1010:      1010-drm-i915-Unify-active-context-tracking-between-legac.patch
Patch1011:      1011-drm-vmwgfx-Support-topology-greater-than-texture-siz.patch
Patch1012:      1012-drm-vmwgfx-Fix-large-topology-crash.patch
Patch1013:      1013-drm-vmwgfx-Limit-max-desktop-dimensions-to-8Kx8K.patch
Patch1014:      1014-drm-i915-Restore-marking-context-objects-as-dirty-on.patch
Patch1015:      1015-drm-i915-gpu-reset-oops-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Use a hardcoded list of KBL pci ids in the preamble file
%define __ksyms_supplements %{nil}
%kernel_module_package -p %_sourcedir/preamble

%description
Backported drm kernel modules for upgrading to the 4.9.x kernel implemntations.
This is mainly for supporting Intel Kabylake graphics, but also for bringing
up / fixing the other graphics devices.

%prep
%setup -q -c -n %{name} -T -a 0
cp %{S:2} .
cp -a /usr/src/linux/drivers/gpu/host1x drivers/gpu/
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
if ! grep -q d3_bridge /usr/src/linux/include/linux/pci.h; then
%patch15 -p1
fi
%patch16 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch123 -p1
%patch124 -p1
%patch125 -p1
%patch126 -p1
%patch127 -p1
%patch128 -p1
%patch129 -p1
%patch130 -p1
%patch131 -p1
%patch132 -p1
%patch133 -p1
%patch134 -p1
%patch135 -p1
%patch136 -p1
%patch137 -p1
%patch138 -p1
%patch139 -p1
%patch140 -p1
%patch141 -p1
%patch142 -p1
%patch143 -p1
%patch144 -p1
%patch145 -p1
%patch146 -p1
%patch147 -p1
%patch148 -p1
%patch149 -p1
%patch150 -p1
%patch151 -p1
%patch152 -p1
%patch153 -p1
%patch154 -p1
%patch155 -p1
%patch156 -p1
%patch157 -p1
%patch158 -p1
%patch159 -p1
%patch160 -p1
%patch161 -p1
%patch162 -p1
%patch163 -p1
%patch164 -p1
%patch165 -p1
%patch166 -p1
%patch167 -p1
%patch168 -p1
%patch169 -p1
%patch170 -p1
%patch171 -p1
%patch172 -p1
%patch173 -p1
%patch174 -p1
%patch175 -p1
%patch176 -p1
%patch177 -p1
%patch178 -p1
%patch179 -p1
%patch501 -p1
%patch502 -p1
%patch503 -p1
%patch504 -p1
%patch505 -p1
%patch506 -p1
%patch507 -p1
%patch508 -p1
%patch509 -p1
%patch510 -p1
%patch511 -p1
%patch512 -p1
%patch513 -p1
%patch514 -p1
%patch515 -p1
%patch516 -p1
%patch517 -p1
%patch518 -p1
%patch519 -p1
%patch520 -p1
%patch521 -p1
%patch522 -p1
%patch523 -p1
%patch524 -p1
%patch525 -p1
%patch526 -p1
%patch527 -p1
%patch528 -p1
%patch529 -p1
%patch530 -p1
%patch531 -p1
%patch532 -p1
%patch533 -p1
%patch534 -p1
%patch535 -p1
%patch536 -p1
%patch537 -p1
%patch538 -p1
%patch539 -p1
%patch540 -p1
%patch541 -p1
%patch542 -p1
%patch543 -p1
%patch544 -p1
%patch545 -p1
%patch546 -p1
# disabled DP-MST fixes due to regression (bsc#1087047)
%if 0
%patch201 -p1
%patch202 -p1
%endif
%patch301 -p1
%patch302 -p1
%patch303 -p1
%patch304 -p1
%patch305 -p1
%patch306 -p1
%patch307 -p1
%patch308 -p1
%patch309 -p1
%patch401 -p1
%patch402 -p1
%patch403 -p1
%patch404 -p1
%patch405 -p1
%patch406 -p1
%patch407 -p1
%patch408 -p1
%patch1001 -p1
%patch1002 -p1
%patch1003 -p1
%patch1004 -p1
%patch1005 -p1
%patch1006 -p1
%patch1007 -p1
%patch1008 -p1
%patch1010 -p1
%patch1011 -p1
%patch1012 -p1
%patch1013 -p1
%patch1014 -p1
%patch1015 -p1

%build
# copy to each flavor
set -- *
for flavor in %flavors_to_build; do
  mkdir -p build-$flavor && cp -al "$@" build-$flavor
done
for flavor in %flavors_to_build; do
  make %{?jobs:-j %jobs} -C /usr/src/linux-obj/%_target_cpu/$flavor \
       M=$(pwd)/build-$flavor \
       CONFIG_DRM_AMDGPU_SI=y \
       CONFIG_DRM_AMDGPU_CIK=y
done

%install
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=updates
export BRP_PESIGN_FILES="*.ko"
for flavor in %flavors_to_build; do
  make -C /usr/src/linux-obj/%_target_cpu/$flavor \
    M=$(pwd)/build-$flavor modules_install \
    CONFIG_DRM_AMDGPU_SI=y \
    CONFIG_DRM_AMDGPU_CIK=y
done

# a hack for creating a dummy *.ko file that has been removed
for i in %{buildroot}/lib/modules/*/updates/drivers/gpu/drm/i2c; do
  test -f $i/ch7006.ko && \
  ln -s ch7006.ko $i/adv7511.ko
done

%changelog
* Sun Apr  8 2018 tiwai@suse.de
- Fix NULL dereference at reset_common_ring() in i915 driver
  (bsc#1088569):
  1015-drm-i915-gpu-reset-oops-fix.patch
* Tue Mar 27 2018 tiwai@suse.de
- Disable DP-MST fixes due to regression wrt suspend/resume
  (bsc#1087047)
* Wed Feb 14 2018 tiwai@suse.de
- Backport upstream 4.9.x stable fixes up to 4.9.81 (bsc#1041744):
  0526-drm-amdgpu-fix-parser-init-error-path-to-avoid-crash.patch
  0527-drm-omap-fix-dmabuf-mmap-for-dma_alloc-ed-buffers.patch
  0528-drm-amd-remove-broken-include-path.patch
  0529-drm-radeon-si-add-dpm-quirk-for-Oland.patch
  0530-drm-radeon-reinstate-oland-workaround-for-sclk.patch
  0531-drm-vmwgfx-Potential-off-by-one-in-vmw_view_add.patch
  0532-drm-vc4-Account-for-interrupts-in-flight.patch
  0533-drm-amdgpu-Fix-SDMA-load-unload-sequence-on-HWS-disa.patch
  0534-drm-amdkfd-Fix-SDMA-ring-buffer-size-calculation.patch
  0535-drm-amdkfd-Fix-SDMA-oversubsription-handling.patch
  0536-drm-amdgpu-don-t-try-to-move-pinned-BOs.patch
  0537-drm-bridge-tc358767-do-no-fail-on-hi-res-displays.patch
  0538-drm-bridge-tc358767-filter-out-too-high-modes.patch
  0539-drm-bridge-tc358767-fix-DP0_MISC-register-set.patch
  0540-drm-bridge-tc358767-fix-timing-calculations.patch
  0541-drm-bridge-tc358767-fix-AUXDATAn-registers-access.patch
  0542-drm-bridge-tc358767-fix-1-lane-behavior.patch
  0543-drm-omap-Fix-error-handling-path-in-omap_dmm_probe.patch
  0544-drm-vc4-Move-IRQ-enable-to-PM-path.patch
  0545-drm-rcar-du-Use-the-VBK-interrupt-for-vblank-events.patch
  0546-drm-rcar-du-Fix-race-condition-when-disabling-planes.patch
- Limit the supplements for the default hardware support to only
  Intel Skylake / Kabylake and AMDGPU (bsc#1077885);
  4.9.x i915 seems more buggy than expected for old chipsets.
* Sat Dec 16 2017 tiwai@suse.de
- Backport upstream 4.9.x stable fixes up to 4.9.70 (bsc#1041744):
  0501-Revert-drm-i915-Do-not-rely-on-wm-preservation-for-I.patch
  0502-drm-sun4i-Fix-a-return-value-in-case-of-error.patch
  0503-drm-armada-Fix-compile-fail.patch
  0504-drm-Apply-range-restriction-after-color-adjustment-w.patch
  0505-drm-mediatek-don-t-use-drm_put_dev.patch
  0506-Revert-drm-radeon-dont-switch-vt-on-suspend.patch
  0507-drm-amdgpu-potential-uninitialized-variable-in-amdgp.patch
  0508-drm-amdgpu-Potential-uninitialized-variable-in-amdgp.patch
  0509-drm-radeon-fix-atombios-on-big-endian.patch
  0510-drm-panel-simple-Add-missing-panel_simple_unprepare-.patch
  0511-drm-hisilicon-Ensure-LDI-regs-are-properly-configure.patch
  0512-drm-ttm-once-more-fix-ttm_buffer_object_transfer.patch
  0513-drm-amd-pp-fix-typecast-error-in-powerplay.patch
  0514-drm-i915-Don-t-try-indexed-reads-to-alternate-slave-.patch
  0515-drm-i915-Prevent-zero-length-index-write.patch
  0516-drm-fsl-dcu-avoid-disabling-pixel-clock-twice-on-sus.patch
  0517-drm-fsl-dcu-enable-IRQ-before-drm_atomic_helper_resu.patch
  0518-drm-exynos-decon5433-update-shadow-registers-iff-the.patch
  0519-drm-exynos-decon5433-set-STANDALONE_UPDATE_F-also-if.patch
  0520-drm-amdgpu-fix-bug-set-incorrect-value-to-vce-regist.patch
  0521-drm-exynos-decon5433-set-STANDALONE_UPDATE_F-on-outp.patch
  0522-drm-amdgpu-fix-unload-driver-issue-for-virtual-displ.patch
  0523-drm-exynos-gem-Drop-NONCONTIG-flag-for-buffers-alloc.patch
  0524-Revert-drm-armada-Fix-compile-fail.patch
  0525-drm-amd-amdgpu-fix-console-deadlock-if-late-init-fai.patch
* Fri Nov 24 2017 tiwai@suse.de
- Backport upstream 4.9.x stable fixes up to 4.9.64 (bsc#1041744):
  0149-drm-i915-Fix-the-overlay-frontbuffer-tracking.patch
  0150-drm-i915-psr-disable-psr2-for-resolution-greater-tha.patch
  0151-drm-amdkfd-fix-improper-return-value-on-error.patch
  0152-drm-mali-dp-Fix-destination-size-handling-when-rotat.patch
  0153-drm-mali-dp-Fix-transposed-horizontal-vertical-flip.patch
  0154-drm-i915-bios-ignore-HDMI-on-port-A.patch
  0155-drm-i915-edp-Get-the-Panel-Power-Off-timestamp-after.patch
  0156-drm-i915-Read-timings-from-the-correct-transcoder-in.patch
  0157-drm-i915-bios-parse-DDI-ports-also-for-CHV-for-HDMI-.patch
  0158-drm-amdgpu-refuse-to-reserve-io-mem-for-split-VRAM-b.patch
  0159-drm-nouveau-gr-gf100-fix-ccache-error-logging.patch
  0160-drm-nouveau-bsp-g92-disable-by-default.patch
  0161-drm-nouveau-mmu-flush-tlbs-before-deleting-page-tabl.patch
  0162-drm-amd-powerplay-fix-uninitialized-variable.patch
  0163-drm-amdgpu-return-ENOENT-from-uvd-6.0-early-init-for.patch
  0164-drm-i915-edp-read-edp-display-control-registers-unco.patch
  0165-drm-msm-Fix-potential-buffer-overflow-issue.patch
  0166-drm-msm-fix-an-integer-overflow-test.patch
  0167-drm-amdgpu-when-dpm-disabled-also-need-to-stop-start.patch
  0168-drm-fsl-dcu-check-for-clk_prepare_enable-error.patch
  0169-drm-exynos-g2d-prevent-integer-overflow-in.patch
  0170-drm-drm_minor_register-Clean-up-debugfs-on-failure.patch
  0171-drm-mali-dp-fix-Lx_CONTROL-register-fields-clobber.patch
  0172-drm-i915-Do-not-rely-on-wm-preservation-for-ILK-wate.patch
  0173-drm-vmwgfx-Fix-Ubuntu-17.10-Wayland-black-screen-iss.patch
  0174-drm-bridge-adv7511-Rework-adv7511_power_on-off-so-th.patch
  0175-drm-bridge-adv7511-Reuse-__adv7511_power_on-off-when.patch
  0176-drm-bridge-adv7511-Re-write-the-i2c-address-before-E.patch
  0177-drm-sti-sti_vtg-Handle-return-NULL-error-from-devm_i.patch
  0178-drm-omap-panel-sony-acx565akm.c-Add-MODULE_ALIAS.patch
  0179-gpu-drm-mgag200-mgag200_main-Handle-error-from-pci_i.patch
* Fri Nov 17 2017 tiwai@suse.de
- Conditionally build aarch64 as well (bsc#1066175);
  Fix build breakage by adv7511 hack on aarch64
- Replace
    0014-drm-nouveau-Use-old-struct-dma_attrs-instead-of-unsi.patch
  with
    0014-drm-dma_attrs-revert.patch
- Build host1x module (taken from the kernel-source) as well for
  avoiding the unneeded dependency on kernel-default-extra on
  ARM64 (bsc#1066175):
  0026-host1x-build-hack.patch
- Enable AMDGPU CIK and SI (bsc#1066175):
  0027-enable-AMDGPU-flavors.diff
- Add missing hisilicon hibmc driver (bsc#1066175):
  0301-drm-hisilicon-hibmc-Add-hisilicon-hibmc-drm-master-d.patch
  0302-drm-hisilicon-hibmc-Add-video-memory-management.patch
  0303-drm-hisilicon-hibmc-Add-support-for-frame-buffer.patch
  0304-drm-hisilicon-hibmc-Add-support-for-display-engine.patch
  0305-drm-hisilicon-hibmc-Add-support-for-VDAC.patch
  0306-drm-hisilicon-hibmc-Add-support-for-vblank-interrupt.patch
  0307-drm-hisilicon-hibmc-Checking-for-NULL-instead-of-IS_.patch
  0308-drm-hisilicon-hibmc-mark-PM-functions-__maybe_unused.patch
  0309-drm-hisilicon-hibmc-Fix-wrong-pointer-passed-to-PTR_.patch
- Add si_support and cik_support options to radeon and amdgpu
  (bsc#1066175):
  0401-drm-radeon-Add-module-param-to-control-CIK-support.patch
  0402-drm-radeon-Add-module-param-to-control-SI-support.patch
  0403-drm-radeon-Make-si_support-and-cik_support-parameter.patch
  0404-drm-amdgpu-Add-module-param-to-control-CIK-support.patch
  0405-drm-amdgpu-Add-module-param-to-control-SI-support.patch
  0406-drm-amdgpu-Update-Kconfig-help-for-SI-and-CIK-suppor.patch
  0407-drm-amdgpu-radeon-Use-radeon-by-default-for-CIK-GPUs.patch
  0408-amdgpu-Set-cik-si_support-to-1-by-default-if-radeon-.patch
- Remove stale Makefile from src
- Update Module.supported and apply it properly;
  following SLE12-SP3 kernel status
* Fri Oct  6 2017 tiwai@suse.de
- Backport upstream 4.9.x stable fixes up to 4.9.53 (bsc#1041744):
  0142-drm-ttm-Fix-accounting-error-when-fail-to-get-pages-.patch
  0143-drm-nouveau-pci-msi-disable-MSI-on-big-endian-platfo.patch
  0144-drm-bridge-adv7511-Use-work_struct-to-defer-hotplug-.patch
  0145-drm-bridge-adv7511-Switch-to-using-drm_kms_helper_ho.patch
  0146-drm-sun4i-Implement-drm_driver-lastclose-to-restore-.patch
  0147-drm-radeon-disable-hard-reset-in-hibernate-for-APUs.patch
  0148-etnaviv-fix-gem-object-list-corruption.patch
* Tue Sep  5 2017 tiwai@suse.de
- Backport the upstream DP-MST fixes, addressing a hang at S3
  resume (bsc#1055493):
  0201-drm-Add-driver-private-objects-to-atomic-state.patch
  0202-drm-dp-Introduce-MST-topology-state-to-track-availab.patch
- Backport upstream 4.9.x stable fixes up to 4.9.47 (bsc#1041744):
  0119-drm-amd-amdgpu-Return-error-if-initiating-read-out-o.patch
  0120-drm-radeon-ci-disable-mclk-switching-for-high-refres.patch
  0121-drm-radeon-Fix-eDP-for-single-display-iMac10-1-v2.patch
  0122-drm-ttm-Fix-use-after-free-in-ttm_bo_clean_mm.patch
  0123-drm-mst-Fix-error-handling-during-MST-sideband-messa.patch
  0124-drm-mst-Avoid-dereferencing-a-NULL-mstb-in-drm_dp_ms.patch
  0125-drm-mst-Avoid-processing-partially-received-up-down-.patch
  0126-drm-vmwgfx-Fix-gcc-7.1.1-warning.patch
  0127-drm-nouveau-disp-nv50-bump-max-chans-to-21.patch
  0128-drm-nouveau-bar-gf100-fix-access-to-upper-half-of-BA.patch
  0129-drm-rcar-du-Simplify-and-fix-probe-error-handling.patch
  0130-drm-msm-Ensure-that-the-hardware-write-pointer-is-va.patch
  0131-drm-msm-Put-back-the-vaddr-in-submit_reloc.patch
  0132-drm-msm-Verify-that-MSM_SUBMIT_BO_FLAGS-are-set.patch
  0133-drm-amdgpu-Fix-undue-fallthroughs-in-golden-register.patch
  0134-drm-virtio-fix-framebuffer-sparse-warning.patch
  0135-drm-etnaviv-Fix-off-by-one-error-in-reloc-checking.patch
  0136-drm-i915-Fix-out-of-bounds-array-access-in-bdw_load_.patch
  0137-drm-Release-driver-tracking-before-making-the-object.patch
  0138-drm-atomic-If-the-atomic-check-fails-return-its-valu.patch
  0139-drm-rcar-du-Fix-crash-in-encoder-failure-error-path.patch
  0140-drm-rcar-du-Fix-display-timing-controller-parameter.patch
  0141-drm-rcar-du-Fix-H-V-sync-signal-polarity-configurati.patch
* Tue Jul 25 2017 tiwai@suse.de
- Fix GPU hang caused by the previous PM fix (bsc#1050256):
  1014-drm-i915-Restore-marking-context-objects-as-dirty-on.patch
* Thu Jul 20 2017 tiwai@suse.de
- Fix potential issues in the previous patchset for vmwgfx
  (bsc#1048155): refreshed two patches
  1011-drm-vmwgfx-Support-topology-greater-than-texture-siz.patch
  1012-drm-vmwgfx-Fix-large-topology-crash.patch
* Mon Jul 17 2017 tiwai@suse.de
- Fix large topology support for vmwgfx (bsc#1048155):
  1011-drm-vmwgfx-Support-topology-greater-than-texture-siz.patch
  1012-drm-vmwgfx-Fix-large-topology-crash.patch
  1013-drm-vmwgfx-Limit-max-desktop-dimensions-to-8Kx8K.patch
- Rename / refresh v4.9.37 patch: from
  1009-drm-virtio-don-t-leak-bo-on-drm_gem_object_init-fail.patch
  to
  0118-drm-virtio-don-t-leak-bo-on-drm_gem_object_init-fail.patch
* Tue Jul 11 2017 tiwai@suse.de
- Fix the crash at suspend/resume on old Intel chipsets
  (bsc#1047729):
  1010-drm-i915-Unify-active-context-tracking-between-legac.patch
* Wed Jul  5 2017 tiwai@suse.de
- Cherry-pick drm fixes from 4.9.35 and 4.9.36 upstream updates
  (bsc#1041744):
  0105-drm-radeon-add-a-PX-quirk-for-another-K53TK-variant.patch
  0106-drm-radeon-add-a-quirk-for-Toshiba-Satellite-L20-183.patch
  0107-drm-amdgpu-atom-fix-ps-allocation-size-for-EnableDis.patch
  0108-drm-amdgpu-adjust-default-display-clock.patch
  0109-drm-ast-Handle-configuration-without-P2A-bridge.patch
  0110-drm-vmwgfx-Free-hash-table-allocated-by-cmdbuf-manag.patch
  0111-drm-amdgpu-fix-program-vce-instance-logic-error.patch
  0112-drm-amdgpu-add-support-for-new-hainan-variants.patch
  0113-drm-amdgpu-check-ring-being-ready-before-using.patch
  0114-drm-etnaviv-trick-drm_mm-into-giving-out-a-low-IOVA.patch
  0115-drm-radeon-si-load-special-ucode-for-certain-MC-conf.patch
  0116-drm-amd-powerplay-fix-vce-cg-logic-error-on-CZ-St.patch
  0117-drm-amd-powerplay-refine-vce-dpm-update-code-on-Cz.patch
- Fix Memory leak in the virtio_gpu_object_create function
  (bsc#1047277, CVE-2017-10810):
  1009-drm-virtio-don-t-leak-bo-on-drm_gem_object_init-fail.patch
* Fri Jun 30 2017 tiwai@suse.de
- Workaround for BXT aperture vs GTT chip bug (bsc#1046821):
  1008-drm-i915-Serialize-GTT-Aperture-accesses-on-BXT.patch
* Wed Jun 28 2017 tiwai@suse.de
- Fix the bogus TV detection on old i9x5gm (bsc#1046269):
  1007-drm-i915-Disable-tv-output-on-i9x5gm.patch
- Cherry-pick drm fixes from 4.9.34 upstream (bsc#1041744):
  0101-drm-amdgpu-Fix-overflow-of-watermark-calcs-at-4k-res.patch
  0102-drm-i915-Fix-GVT-g-PVINFO-version-compatibility-chec.patch
  0103-drm-mediatek-fix-mtk_hdmi_setup_vendor_specific_info.patch
  0104-drm-vc4-Fix-OOPSes-from-trying-to-cache-a-partially-.patch
* Sun Jun 18 2017 tiwai@suse.de
- Update to 4.9.33 to follow the upstream development (bsc#1041744,
  CVE-2017-7346, bsc#1031796):
  drm/i915: Always recompute watermarks when distrust_bios_wm is set, v2.
  drm/i915: Workaround VLV/CHV DSI scanline counter hardware fail
  drm/ast: Fixed system hanged if disable P2A
  drm/nouveau: Fix drm poll_helper handling
  drm/nouveau: Don't enabling polling twice on runtime resume
  drm/nouveau: Handle fbcon suspend/resume in seperate worker
  drm/nouveau: Rename acpi_work to hpd_work
  drm/nouveau: Intercept ACPI_VIDEO_NOTIFY_PROBE
  drm/i915: Check for NULL i915_vma in intel_unpin_fb_obj()
  drm: Don't race connector registration
  drm: prevent double-(un)registration for connectors
  drm/nouveau/fence/g84-: protect against concurrent access to
    semaphore buffers
  drm/nouveau: prevent userspace from deleting client object
  drm/i915: Prevent the system suspend complete optimization
  drm/i915/vbt: split out defaults that are set when there is no VBT
  drm/i915/vbt: don't propagate errors from intel_bios_init()
  drm/nouveau/tmr: fully separate alarm execution/pending lists
  drm/vmwgfx: Make sure backup_handle is always valid
  drm/vmwgfx: limit the number of mip levels in vmw_gb_surface_define_ioctl()
  drm/vmwgfx: Handle vmalloc() failure in vmw_local_fifo_reserve()
  drm/msm: Expose our reservation object when exporting a dmabuf.
  drm: Fix oops + Xserver hang when unplugging USB drm devices
  drm/amdgpu/ci: disable mclk switching for high refresh rates (v2)
- Fix the build with 4.9.33:
  0025-drm-i915-comment-out-PCI_DEV_FLAGS_NEEDS_RESUME.patch
- drm/mgag200: Fix to always set HiPri for G200e4 (bsc#1015452,
  bsc#995542):
  1006-drm-mgag200-Fix-to-always-set-HiPri-for-G200e4.patch
* Wed Jun 14 2017 tiwai@suse.de
- Rephrase the package description for avoiding the confusion
  (bsc#1044176)
- Update to 4.9.31 to follow the upstream development (bsc#1041744):
  * drm/radeon/ci: disable mclk switching for high refresh rates (v2)
  * drm/radeon: Unbreak HPD handling for r600+
  * drm/radeon: Fix vram_size/visible values in DRM_RADEON_GEM_INFO
    ioctl
  * drm/gma500/psb: Actually use VBT mode when it is found
* Wed May 31 2017 tiwai@suse.de
- Create a dummy adv7511.ko for weak-updates (bsc#1041872).
* Tue May 30 2017 tiwai@suse.de
- Fix Oops at gen6_ppgtt_insert_entries (bsc#1040463):
  1005-drm-i915-Use-pagecache-write-to-prepopulate-shmemfs-.patch
* Tue May 30 2017 tiwai@suse.de
- Update to 4.9.30 to follow the upstream development (bsc#1041744)
- Fix the build with aarch64 (bsc#1041697):
  0020-drm-msm-Remove-use-of-vmap-notifier.patch
  0021-drm-msm-Add-u64_to_user_ptr.patch
  0022-drm-tegra-Revert-dsi-runtime-pm.patch
  0023-drm-msm-Disable-dsi-pll-8960-phy.patch
  0024-drm-tegra-Workaround-for-pinconf_generic_dt_free_map.patch
* Wed May 24 2017 tiwai@suse.de
- Fix the build failure with the updated fence_wait_any_timeout()
  API (bsc#1040550):
  0016-drm-amdgpu-add-the-interface-of-waiting-multiple-fen.patch
* Thu May 18 2017 tiwai@suse.de
- Fix the build with CONFIG_VGA_SWITCHEROO (bsc#1039759):
  0015-workaround-for-pci-d3_bridge.patch
* Tue May  9 2017 tiwai@suse.de
- Upgrade to 4.9.23 (CVE-2017-7261,CVE-2017-7294,bsc#1018358,
  bsc#1031717,bsc#1021294,bsc#1009674):
  drm/nouveau/disp/mcp7x: disable dptmds workaround
  drm/etnaviv: fix missing unlock on error in etnaviv_gpu_submit()
  drm/nouveau/mmu/nv4a: use nv04 mmu rather than the nv44 one
  drm/nouveau/mpeg: mthd returns true on success now
  Revert "drm/i915/execlists: Reset RING registers upon resume"
  drm/i915: Avoid rcu_barrier() from reclaim paths (shrinker)
  drm/i915: Stop using RP_DOWN_EI on Baytrail
  drm/i915: Drop support for I915_EXEC_CONSTANTS_* execbuf parameters.
  drm/i915: Only enable hotplug interrupts if the display interrupts are enabled
  drm/i915: Avoid tweaking evaluation thresholds on Baytrail v3
  drm/i915: Nuke debug messages from the pipe update critical section
  drm/i915/gen9: Increase PCODE request timeout to 50ms
  drm/msm/adreno: move function declarations to header file
  drm/mga: remove device_is_agp callback
  drm/i915: actually drive the BDW reserved IDs
  drm/edid: constify edid quirk list
  drm/sun4i: Add compatible string for A31/A31s TCON (timing controller)
  drm/sun4i: Add compatible strings for A31/A31s display pipelines
  drm/sun4i: tcon: Move SoC specific quirks to a DT matched data structure
  drm/vmwgfx: fix integer overflow in vmw_surface_define_ioctl()
  drm/vmwgfx: Remove getparam error message
  drm/ttm, drm/vmwgfx: Relax permission checking when opening surfaces
  drm/vmwgfx: avoid calling vzalloc with a 0 size in vmw_get_cap_3d_ioctl()
  drm/vmwgfx: NULL pointer dereference in vmw_surface_define_ioctl()
  drm/vmwgfx: Type-check lookups of fence objects
  drm/etnaviv: (re-)protect fence allocation with GPU mutex
  drm/vc4: Allocate the right amount of space for boot-time CRTC state.
  drm/radeon: Override fpfn for all VRAM placements in radeon_evict_flags
  drm: reference count event->completion
  drm/bridge: analogix dp: Fix runtime PM state on driver bind
  drm/amdgpu: reinstate oland workaround for sclk
  drm/amdgpu/si: add dpm quirk for Oland
  drm/vc4: Use runtime autosuspend to avoid thrashing V3D power state.
  drm/vc4: Fix termination of the initial scan for branch targets.
  drm/vc4: Fix ->clock_select setting for the VEC encoder
  drm/vc4: Fix race between page flip completion event and clean-up
  drm/nouveau/disp/nv50-: specify ctrl/user separately when constructing classes
  drm/nouveau/disp/nv50-: split chid into chid.ctrl and chid.user
  drm/nouveau/disp/gp102: fix cursor/overlay immediate channel indices
  drm/i915: Fix not finding the VBT when it overlaps with OPREGION_ASLE_EXT
  drm/i915: Avoid spurious WARNs about the wrong pipe in the PPS code
  drm: Cancel drm_fb_helper_resume_work on unload
  drm: Cancel drm_fb_helper_dirty_work on unload
  drm/i915/gvt: Disable access to stolen memory as a guest
  drm/atomic: fix an error code in mode_fixup()
  drm/imx: imx-tve: Do not set the regulator voltage
  drm/vmwgfx: Work around drm removal of control nodes
  drm/ttm: Make sure BOs being swapped out are cacheable
  drm/edid: Add EDID_QUIRK_FORCE_8BPC quirk for Rotel RSX-1058
  drm/ast: Fix AST2400 POST failure without BMC FW or VBIOS
  drm/ast: Call open_key before enable_mmio in POST code
  drm/ast: Fix test for VGA enabled
  drm/amdgpu: add more cases to DCE11 possible crtc mask setup
  drm/dp/mst: fix kernel oops when turning off secondary monitor
  drm/radeon: Use mode h/vdisplay fields to hide out of bounds HW cursor
  drm/i915: Always convert incoming exec offsets to non-canonical
  drm/atomic: Fix double free in drm_atomic_state_default_clear
  drm/i915/bxt: Add MST support when do DPLL calculation
  drm/i915: fix use-after-free in page_flip_completed()
  drm/i915/execlists: Reset RING registers upon resume
  drm/nouveau/nv1a,nv1f/disp: fix memory clock rate retrieval
  drm/nouveau/disp/gt215: Fix HDA ELD handling (thus, HDMI audio) on gt215
  drm/amdgpu/si: fix crash on headless asics
  drm/i915: Remove WaDisableLSQCROPERFforOCL KBL workaround.
  drm/i915: Check for NULL atomic state in intel_crtc_disable_noatomic()
  drm/i915: Fix calculation of rotated x and y offsets for planar formats
  drm/i915: Don't init hpd polling for vlv and chv from runtime_suspend()
  drm/i915: Don't leak edid in intel_crt_detect_ddc()
  drm/i915: prevent crash with .disable_display parameter
  drm/i915: Clear ret before unbinding in i915_gem_evict_something()
  drm/atomic: clear out fence when duplicating state
  Revert "drm/radeon: always apply pci shutdown callbacks"
  drm/vc4: fix a bounds check
  drm/vc4: Return -EINVAL on the overflow checks failing.
  drm/vc4: Fix an integer overflow in temporary allocation layout.
  drm/vc4: Fix memory leak of the CRTC state.
  drm/i915: Ignore bogus plane coordinates on SKL when the plane is not visible
  drm: Fix broken VT switch with video=1366x768 option
  drm: Schedule the output_poll_work with 1s delay if we have delayed event
  drm: Initialise drm_mm.head_node.allocated
  drm/i915: Move the min_pixclk[] handling to the end of readout
  drm/panel: simple: Check against num_timings when setting preferred for timing
  drm: avoid uninitialized timestamp use in wait_vblank
  drm/i915/gen9: Fix PCODE polling during SAGV disabling
  drm/amdgpu: drop verde dpm quirks
  drm/amdgpu: update si kicker smc firmware
  drm/radeon: drop verde dpm quirks
  drm/radeon: update smc firmware selection for SI
  drm: Clean up planes in atomic commit helper failure path
  drm/i915/gen9: Fix PCODE polling timeout in stable backport
  drm/savage: dereferencing an error pointer
  drm/vc4: Fix a couple error codes in vc4_cl_lookup_bos()
  drm/tegra: dpaux: Fix error handling
  drm/i915/gen9: Fix PCODE polling during CDCLK change notification
  drm/i915/gen9: fix the WM memory bandwidth WA for Y tiling cases
  drm/i915/gen9: unconditionally apply the memory bandwidth WA
  drm/i915: disable PSR by default on HSW/BDW
  drm/radeon: Always store CRTC relative radeon_crtc->cursor_x/y values
  drm/i915: tune down the fast link training vs boot fail
  drm/i915/dp: add lane_count check in intel_dp_check_link_status
  drm/i915: Initialize overlay->last_flip properly
  drm/i915: Force VDD off on the new power seqeuencer before starting to use it
  drm/i915: Fix oops in overlay due to frontbuffer tracking
  drm/i915: Fix oopses in the overlay code due to i915_gem_active stuff
  drm/i915: Fix setting of boost freq tunable
  drm/i915: skip the first 4k of stolen memory on everything >= gen8
  drm/i915: Initialize dev_priv->atomic_cdclk_freq at init time
  drm/i915: Fix cdclk vs. dev_cdclk mess when not recomputing things
  drm/i915/dsi: Do not clear DPOUNIT_CLOCK_GATE_DISABLE from vlv_init_display_clock_gating
  drm/i915/dsi: Fix chv_exec_gpio disabling the GPIOs it is setting
  drivers/gpu/drm/ast: Fix infinite loop if read fails
  drm/amdgpu: fix init save/restore list in gfx_v8.0
  drm/amdgpu: fix enable_cp_power_gating in gfx_v8.0.
  drm/amd/powerplay: bypass fan table setup if no fan connected
  drm/gma500: Add compat ioctl
  drm/radeon/si: load the proper firmware on 0x87 oland boards
  drm/radeon: add additional pci revision to dpm workaround
  drm/radeon: Hide the HW cursor while it's out of bounds
  drm/radeon: Also call cursor_move_locked when the cursor size changes
  drm/nouveau/fifo/gf100-: protect channel preempt with subdev mutex
  drm/nouveau/i2c/gk110b,gm10x: use the correct implementation
  drm/nouveau/ttm: wait for bo fence to signal before unmapping vmas
  drm/nouveau/ltc: protect clearing of comptags with mutex
  drm/nouveau/bios: require checksum to match for fast acpi shadow method
  drm/nouveau/kms: lvds panel strap moved again on maxwell
  drm/nouveau/gr: fallback to legacy paths during firmware lookup
  drm/amd/amdgpu: enable GUI idle INT after enabling CGCG
  drm/amdgpu: Also call cursor_move_locked when the cursor size changes
  drm/amdgpu: Store CRTC relative amdgpu_crtc->cursor_x/y values
  drm/amdgpu: add additional pci revision to dpm workaround
  drm/amdgpu/si: load the proper firmware on 0x87 oland boards
- Add missing patches from SLE12-SP3 kernel tree (bsc#1029634,
  bsc#1007959,bsc#1011913):
  1001-drm-mgag200-Added-support-for-the-new-device-G200eH3.patch
  1002-drm-i915-Add-intel_uncore_suspend-resume-functions.patch
  1003-drm-i915-Listen-for-PMIC-bus-access-notifications.patch
  1004-drm-i915-Fix-crash-after-S3-resume-with-DP-MST-mode-.patch
* Thu Apr 27 2017 tiwai@suse.de
- Add Skylake, Broxton and AMDGPU supplements list (bsc#1036380)
- Don't limit the chipsets for openSUSE (bsc#1036380)
* Fri Mar 31 2017 patrik.jakobsson@suse.com
- Add missing source tag for preable file
* Fri Mar 31 2017 mmarek@suse.cz
- Only install the package on systems with Intel Kaby Lake graphics
  (fate#321223).
* Thu Mar 30 2017 patrik.jakobsson@suse.com
- Update the drm sources to v4.9 and add the following backport
  patches to work with the SLE12-SP3 kernel (fate#321223):
  0001-drm-Don-t-use-driver-specific-i2c-locking.patch
  0002-drm-i915-Add-u64_to_user_ptr-macro.patch
  0003-drm-i915-Remove-use-of-vmap-notifier.patch
  0004-drm-Remove-use-of-non-exisiting-__malloc-attribute.patch
  0005-drm-i915-Remove-call-to-intel-gtt.patch
  0006-drm-i915-Add-extra-argument-to-get_user_pages_remote.patch
  0007-makefile-Add-a-makefile-for-the-oot-build.patch
  0008-intel_ips-Include-the-header-file.patch
  0009-drm-amdkfd-Replace-in_compat_syscall-with-is_compat_.patch
  0010-drm-bochs-cirrus-i915-Fixup-missing-PCI-IDs.patch
  0011-drm-vmwgfx-Remove-missing-stack-frame-code.patch
  0012-drm-Make-all-drivers-use-the-correct-include-directo.patch
  0013-drm-virtio-Fix-compile-warning-for-use-of-find_vbq.patch
  0014-drm-nouveau-Use-old-struct-dma_attrs-instead-of-unsi.patch
* Thu Sep  1 2016 tiwai@suse.de
- backport upstream fixes for intel_csr.c (to add support for KBL
  DMC).
* Thu Sep  1 2016 tiwai@suse.de
- suppress annoying wm warning
* Wed Aug 31 2016 tiwai@suse.de
- add a workaround for crash with buggy HD-audio callbacks
* Wed Aug 31 2016 tiwai@suse.de
- fix vga_switcheroo build errors
* Tue Aug  2 2016 tiwai@suse.de
- build amdgpu driver, too
* Tue Aug  2 2016 tiwai@suse.de
- build radeon driver, too
* Thu Jul 28 2016 tiwai@suse.de
- Update to 4.6.5
* Tue Jul 26 2016 tiwai@suse.de
- stripped version for the hacked kernel
* Mon Jul 18 2016 tiwai@suse.de
- Update to 4.6.4
* Wed Apr  6 2016 tiwai@suse.de
- Update to 4.2.8
* Thu Feb 11 2016 tiwai@suse.de
- Add patch drm-i915-set-CDCLK-if-DPLL0-enabled-during-resuming
* Fri Sep 25 2015 tiwai@suse.de
- update to 4.2.1
* Tue Aug 25 2015 tiwai@suse.de
- update to 4.2-rc8
* Thu Aug  6 2015 tiwai@suse.de
- change prefix to _kmp_ from _drm_kmp_ for avoiding the possible
  overflow
* Wed Aug  5 2015 tiwai@suse.de
- update to 4.2-rc5
* Tue Jul 28 2015 tiwai@suse.de
- update to 4.2-rc4
* Mon Jul 20 2015 tiwai@suse.de
- update to 4.2-rc3
* Tue Jul  7 2015 tiwai@suse.de
- update to 4.2-rc1
* Tue Jun 30 2015 tiwai@suse.de
- re-add API functions for HDMI/DP HD-audio
* Mon Jun 29 2015 tiwai@suse.de
- update tarball to 4.2-rc1-pre-gc63f887bdae8
- reenable xen flavor build
* Fri Jun 26 2015 tiwai@suse.de
- test build with 4.2-pre tarball, i915 only
* Mon Feb  2 2015 tiwai@suse.de
- Add upstream regression fix:
  0010-drm-i915-Init-PPGTT-before-context-enable.patch
- Backport XEN flavor fixes for SUSE kernels:
  xen3-patch-2.6.29
  xen3-patch-2.6.31
  xen3-patch-2.6.35
  xen3-patch-3.1
  xen3-patch-3.4
  xen3-patch-3.5
  xen3-patch-3.8
  xen3-patch-3.10
  xen3-patch-3.14
* Tue Jan 20 2015 tiwai@suse.de
- Add upstream fix backports (bnc#913795)
  0001-drm-i915-Rework-ppgtt-init-to-no-require-an-aliasing.patch
  0002-drm-i915-Rework-GPU-reset-sequence-to-match-driver-l.patch
  0003-drm-i915-call-lpt_init_clock_gating-on-BDW-too.patch
  0004-drm-i915-bdw-Apply-workarounds-in-render-ring-init-f.patch
  0005-drm-i915-bdw-Export-workaround-data-to-debugfs.patch
  0006-drm-i915-Add-IS_BDW_GT3-macro.patch
  0007-drm-i915-bdw-WaDisableFenceDestinationToSLM.patch
  0008-drm-i915-Build-workaround-list-in-ring-initializatio.patch
  0009-drm-i915-Check-workaround-status-on-dfs-read-time.patch
* Tue Jan 20 2015 tiwai@suse.de
- Update to 3.17.8 kernel;
  remove obsoleted 0001-drm-i915-Disable-caches-for-Global-GTT.patch
* Fri Jan 16 2015 tiwai@suse.de
- Enable builds of mgag200, ast, cirrus and udl drm drivers, too
- Mark as external in Module.supported
* Thu Nov 13 2014 tiwai@suse.de
- backport 0001-drm-i915-Disable-caches-for-Global-GTT.patch
* Mon Oct 27 2014 tiwai@suse.de
- Fix missing fbdev support & co.
* Fri Oct 10 2014 tiwai@suse.de
- Build from 3.17
- Rename modules and symbols to avoid conflicts with existing
  SLE12 modules
* Wed Oct  8 2014 tiwai@suse.de
- Build from 3.16.4
* Thu Sep 11 2014 tiwai@suse.de
- Updated to 3.14.18
- Build with module signatures
* Mon Jul 14 2014 tiwai@suse.de
- Initial package: based on 3.14.12 kernel
